%define ver		4.11
%define uver		4
%define bver		5
%define sver		7

%define major		2
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

Name:		mac
Version:	%{ver}.%{uver}.%{bver}.%{sver}
Release:	%mkrel 3
Summary:	Monkey's Audio Codec (MAC) utility
# Nonfree custom license (as per clause 3): http://www.monkeysaudio.com/license.html
License:	Custom
Group:		Sound/Editors and Converters
Url:		http://etree.org/shnutils/shntool/
# use debian multimedia source
Source0:	ftp://ftp.deb-multimedia.org/pool/main/m/monkeys-audio/monkeys-audio_%{ver}-u%{uver}-b%{bver}-s%{sver}.orig.tar.gz
Source1:	mac-permission_to_redistribute.txt
Source2:	License.htm
Patch0:		mac-4.11-u4-b5-s7-gcc6.patch

BuildRequires:	libstdc++-devel
%ifarch %{ix86} x86_64
BuildRequires:	yasm
%endif


%description
Monkey's Audio Codec is a lossless audio codec w/ good
correspondence of compression (and decompression) ratio
and time.

Monkey's Audio Codec can be used for personal, educational
and non-commercial purposes. Commercial usage requires
prior written permission from Monkey's Audio author.
See License.htm before usage.

This version is patched for shntool support.

This package is in nonfree repository because of its license.

#------------------------------------------------------------------------

%package -n	%{libname}
Summary:	Monkey's Audio Codec library
Group:		System/Libraries

%description -n %{libname}
Monkey's Audio Codec library.

Monkey's Audio Codec is a lossless audio codec w/ good
correspondence of compression (and decompresssion) ratio
and time.

Monkey's Audio Codec can be used for personal, educational
and non-commercial purposes. Commercial usage requires
prior written permission from Monkey's Audio author.
See License.htm before usage.

This version is patched for shntool support.

This package is in nonfree repository because of its license.

#------------------------------------------------------------------------

%package -n	%{develname}
Summary:	Monkey's Audio Codec development files
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
Development files (headers etc) needed to develop software with %{libname}.

This version is patched for shntool support.

This package is in nonfree repository because of its license.

#------------------------------------------------------------------------
%prep
%setup -q -n monkeys-audio-%{ver}-u%{uver}-b%{bver}-s%{sver}
%autopatch -p1

# Copy permission to redistribute
cp -pr %{SOURCE1} .
cp -pr %{SOURCE2} src/

%build
export CXXFLAGS="%{optflags} -DSHNTOOL"
%configure \
   --disable-static

%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name '*.la' -delete

%files
%doc AUTHORS ChangeLog* NEWS README
%{_bindir}/%{name}

%files -n %{libname}
%doc mac-permission_to_redistribute.txt
%doc src/License.htm
%{_libdir}/libmac.so.%{major}
%{_libdir}/libmac.so.%{major}.*

%files -n %{develname}
%doc TODO src/Credits.txt src/History.txt
%{_includedir}/%{name}/
%{_libdir}/libmac.so


%changelog
* Fri Feb 21 2020 umeabot <umeabot> 4.11.4.5.7-3.mga8
+ Revision: 1548631
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Thu Sep 20 2018 umeabot <umeabot> 4.11.4.5.7-2.mga7.nonfree
+ Revision: 1279334
- Mageia 7 Mass Rebuild

* Fri Sep 22 2017 daviddavid <daviddavid> 4.11.4.5.7-1.mga7.nonfree
+ Revision: 1157777
- new version: 4.11.4.5.7
- add fedora patch to fix build with gcc-6

* Thu Feb 25 2016 daviddavid <daviddavid> 3.99.4.5.7-5.mga6.nonfree
+ Revision: 978894
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 3.99.4.5.7-4.mga5.nonfree
+ Revision: 748897
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 3.99.4.5.7-3.mga5.nonfree
+ Revision: 727065
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 3.99.4.5.7-2.mga5.nonfree
+ Revision: 682117
- Mageia 5 Mass Rebuild

* Fri Mar 14 2014 david-david <david-david> 3.99.4.5.7-1.mga5.nonfree
+ Revision: 603849
- imported package mac

